/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomDOMCoreException_H__
#define __GdomDOMCoreException_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomDOMCoreException GdomDOMCoreException;
typedef struct _GdomDOMCoreExceptionClass GdomDOMCoreExceptionClass;


#define GDOM_TYPE_DOM_CORE_EXCEPTION            (gdom_dom_core_exception_get_type())
#define GDOM_DOM_CORE_EXCEPTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_DOM_CORE_EXCEPTION, GdomDOMCoreException))
#define GDOM_DOM_CORE_EXCEPTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_DOM_CORE_EXCEPTION, GdomDOMCoreException)Class)
#define GDOM_IS_DOM_CORE_EXCEPTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_DOM_CORE_EXCEPTION))
#define GDOM_IS_DOM_CORE_EXCEPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_DOM_CORE_EXCEPTION))
#define GDOM_DOM_CORE_EXCEPTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_DOM_CORE_EXCEPTION, GdomDOMCoreExceptionClass))

typedef struct _GdomDOMCoreExceptionPrivate GdomDOMCoreExceptionPrivate;

struct _GdomDOMCoreException {
    GdomDOMObject parent_instance;
    GdomDOMCoreExceptionPrivate *priv;
};

struct _GdomDOMCoreExceptionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_dom_core_exception_get_type (void);

WEBKIT_API gchar *
gdom_dom_core_exception_to_string (GdomDOMCoreException *thiz);

G_END_DECLS

#endif /* __GdomDOMCoreException_H__ */
